
window.addEventListener('gotoPaperDetail',function(event){
	var cid = event.detail.id;
	(function($, doc,cid) {
		$.ready(function(){
				var app = {  //定义所有的界面的ui，tpl，接口URL，方法等
					ui: {
						cont:"#paper-cont"
					},
					urls: {
						paperDetailUrl:"index.php?c=paper&a=getPaper", //获取不同类目下书籍列表的接口
					},
					method: {
						//根据跳转过来的catId去获取书籍列表项
						getPaperDetail:function(){
							var params={
								paper_id:cid
							}
							$.fn.selfAjax({
								url:app.urls.paperDetailUrl,
								method:"get",
								params:params,
								success:function(res){
									$(app.ui.cont)[0].innerHTML=res.result.content;				
								}
							});
						}
					}
				}
				
				$.back=function(){
					 $.currentWebview.close();
				}
				$.init({
					swipeBack: true, //启用右滑关闭功能
				});
				$.plusReady(function() {
					app.method.getPaperDetail();
					$("body").on("tap","#paper-cont",function(){
						if(this.getAttribute("data-open")==0){
							$("#change-box")[0].classList.remove("mui-hidden");
							this.setAttribute("data-open","1");
						}else{
							$("#change-box")[0].classList.add("mui-hidden");
							this.setAttribute("data-open","0");
						}
					}).on("tap",".bg-item",function(){
						var other=$(".bg-item");
						for(var i=0;i<other.length;i++){
							other[i].classList.remove("on");
						}
						var bg=this.getAttribute("data-color");
						this.classList.add("on");
						for(var j=0;j<$(".change-color").length;j++){
							$(".change-color")[j].setAttribute("style","background: "+bg+";");
						}
					})
					$("#change-light")[0].addEventListener("input",function(){
						plus.screen.setBrightness( this.value/100 )
					});
					$("#change-font-size")[0].addEventListener("input",function(){
						$("#paper-cont")[0].setAttribute("style","font-size:"+this.value+"px;line-height:"+(Number(this.value)+6)+"px")
					})
				});
			})
	}(mui,document,cid))
})