(function($, doc) {
	$.ready(function(){
			var app = {  //定义所有的界面的ui，tpl，接口URL，方法等
				ui: {
					
				},
				tpl:{
					liTpl:"li-tpl"
				},
				urls: {
					bookListUrl:"index.php?c=book&a=getMyBookList"
				},
				data:{
					start:0,
					nums:1,
					end:false,
					kw:""
				},
				method: {
					getMyBookList:function(){
						var params={
								start:app.data.start,
								nums:app.data.nums,
								kw:app.data.kw
							}
							if(app.data.start==0){
								document.getElementById("books-ul").innerHTML="";
								app.data.end=false;
								mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
							}
							$.fn.selfAjax({
								url: app.urls.bookListUrl,
								method:"get",
								params:params,
								success:function(res){
									if(res.result.length!=0){
										app.data.start+=res.result.length;
										app.data.end=false;
										var htmlStr =document.getElementById("books-ul").innerHTML + template(app.tpl.liTpl, res);
										document.getElementById("books-ul").innerHTML=htmlStr;
									}else{
										app.data.end=true;
									}
									$('#refreshContainer').pullRefresh().endPulldownToRefresh();
									$('#refreshContainer').pullRefresh().refresh(true);
									$('#refreshContainer').pullRefresh().endPullupToRefresh(app.data.end);								
								}
							});
					},
					//上拉加载
					pullupRefresh:function(){
							app.method.getMyBookList();
					},
					//下拉刷新
					pulldownRefresh:function(){
							app.data.start=0;
							app.data.end=false;
							app.method.getMyBookList();
					}
				
				}
			}
//			$.back=function(){
//			 	$.currentWebview.close();
//			}
			$.init({
				swipeBack: true, //启用右滑关闭功能
				pullRefresh : {
				    container:"#refreshContainer",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				    down : {
				      style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				      color:'#EFEFF4', //可选，默认“#2BD009” 下拉刷新控件颜色
				      height:'50px',//可选,默认50px.下拉刷新控件的高度,
				      range:'100px', //可选 默认100px,控件可下拉拖拽的范围
				      offset:'50px', //可选 默认0px,下拉刷新控件的起始位置
				      auto: false,//可选,默认false.首次加载自动上拉刷新一次
				      callback : app.method.pulldownRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    },
				    up : {
				      height:50,//可选.默认50.触发上拉加载拖动距离
				      auto:true,//可选,默认false.自动上拉加载一次
				      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
				      contentnomore:'没有更多书籍了...',//可选，请求完毕若没有更多数据时显示的提醒内容；
				      callback :app.method.pullupRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    }
			  	}
			});
			$.plusReady(function() {
				$("body").on("tap",".gotoBookReading",function(){
					var id=this.getAttribute("data-id");
				  	var page = mui.preload({
						    url:"book_reading.html",
						    id:"book_reading1.html",//默认使用当前页面的url作为id
						});
					var targetPage=plus.webview.getWebviewById('book_reading1.html');
				 	$.fire(targetPage,'gotoBookReading',{
					    id:id
				  	});
			  	 	mui.openWindow({
				    	id:'book_reading1.html'
				  	});
				})
			});
		
	})

}(mui, document));
