(function($, doc) {
	$.ready(function(){
			var app = {  //定义所有的界面的ui，tpl，接口URL，方法等
				ui: {
					arrow:"#arrow",
					donateForm:"#donate-form",
					submitDonate:"#submit-donate",
					selCont:"#cat-sel-cont",
				},
				tpl:{
					selTpl:"sel-tpl"
				},
				urls: {
					
				},
				method: {
					getVal:function(sel){
						return $(sel)[0].value;
					},
					getCatList:function(){
						$.fn.selfAjax({
							method:"get",
							url:"index.php?c=book&a=getCatData",
							params:{},
							success:function(res){
								console.log(JSON.stringify(res));
								var htmlStr = template(app.tpl.selTpl,res);
								console.log(htmlStr);
								
								document.getElementById("cat-sel-cont").innerHTML=htmlStr;
								console.log($("#cat-sel-cont")[0].innerHTML);
							}
						});
					},
					submitDonateInfo:function(params){
						$.fn.selfAjax({
							method:"post",
							url:"index.php?c=donate&a=donateBook",
							params:params,
							success:function(res){
								console.log(JSON.stringify(res));
								plus.nativeUI.alert("提交成功")
							}
						});
					}
				}
			}
		
			$.init({
				swipeBack: true, //启用右滑关闭功能
			});
			
			$.plusReady(function() {
				app.method.getCatList();
				$.fn.setWebviewHeight();
				$("body").on("tap",app.ui.arrow,function(){
					if(this.getAttribute("data-open")==1){
						this.setAttribute("class","mui-icon mui-icon-arrowdown custom");
						this.setAttribute("data-open","0");
						document.getElementById("donate-form").classList.add('mui-hidden');
						document.getElementById("submit-info").classList.add('mui-hidden');
					}else{
						this.setAttribute("class","mui-icon mui-icon-arrowup custom");
						this.setAttribute("data-open","1");
						document.getElementById("donate-form").classList.remove('mui-hidden');
						document.getElementById("submit-info").classList.remove('mui-hidden');
					}
				}).on("tap",app.ui.submitDonate,function(){
					var name= app.method.getVal("#account");
					var bookName = app.method.getVal("#book-name");
					var bookUrl = app.method.getVal("#book-url");
					var cat=$(app.ui.selCont)[0].value;
//					console.log(cat)	;
//					console.log(JSON.stringify(cat));
//				 	for(i=0;i<cat.length;i++){     
//				        if(cat.options[i].selected){  
//				            console.log(cat.options[i].value);  
//				        }  
//				    }  
					if(name==""||bookName==""||bookUrl==""||cat==""){
						 $.toast('请填写完整的资料后再提交',{ duration:'short', type:'div' });
						 return false;
					}
					var params={
						book_name:bookName,
						book_url:bookUrl,
						name:name,
						cat_id:cat
					}
					app.method.submitDonateInfo(params);
				}).on("tap","#gotoDonatrBookRule",function(){
					var page = mui.preload({
						    url:"donate_book_rule.html",
						    id:"donate_book_rule.html",//默认使用当前页面的url作为id
						});
			  	 	mui.openWindow({
				    	id:'donate_book_rule.html'
				  	});
				})
			});
		})

}(mui,document))
