(function($, doc) {
	$.ready(function(){
			var app = {  //定义所有的界面的ui，tpl，接口URL，方法等
				ui: {
					//编辑信息部分
					ePart:"#editUserInfo",
					eUserIcon:"#sel-user-icon .user-icon",
					eNickName:"#e-nickname",
					eEmail:"#e-email",
					ePhone:"#e-phone",
					eNumber:"#e-number",
					eName:"#e-name",
					eIdcard:"#e-IDcard",
					//显示信息部分
					sPart:"#user-info-cont",
					//按钮
					ebtn:"#editBtn",
					sbtn:"#sureBtn",
					cbtn:"#cancelBtn",
					bbtn:"#backBtn",
					selFile:"#sel-file"
				},
				data:{
					userinfo:null,
				},
				tpl:{
					userInfoTpl:'user-info-tpl'
				},
				urls: {
					userInfoUrl:"index.php?c=i&a=getUserInfo"
				},
				method: {
					getUserInfo:function(){
						$.fn.selfAjax({
							method:"get",
							url:app.urls.userInfoUrl,
							params:{},
							success:function(res){
								console.log(JSON.stringify(res));
								var htmlStr = template(app.tpl.userInfoTpl, res.result);
								document.getElementById("user-info-cont").innerHTML=htmlStr;
								app.data.userinfo=res.result;
							}
						});
					}
				}
			}
		
			$.init({
				swipeBack: true, //启用右滑关闭功能
			});
			
			$.plusReady(function() {
				app.method.getUserInfo();
				//监听input[type=file]值的变化
				$(app.ui.selFile)[0].addEventListener("change",function(){
					 //获取文件  
				    var file =$(app.ui.selFile)[0].files[0]; 
				    console.log(file);
				    //创建读取文件的对象  
				    var reader = new FileReader(); 
				    //创建文件读取相关的变量  
				    var imgFile;  
				    //为文件读取成功设置事件  
				    reader.onload=function(e) {  
				        console.log(JSON.stringify(reader));
				        console.log(JSON.stringify(e))
				        imgFile = e.target.result;  
				        console.log(imgFile);
				        
				        $.fn.selfAjax({
				        	url:"index.php?c=i&a=uploadAvatar",
				        	method:"post",
				        	params:{name:imgFile},
				        	success:function(res){
				        		$(app.ui.eUserIcon)[0].setAttribute("src",res.result);
				        	}
				        })
				    };  
				  
				    //正式读取文件  
				    reader.readAsDataURL(file); 
				})
				$("body").on("tap",app.ui.eUserIcon,function(){
					console.log(111111);
				}).on("tap",app.ui.ebtn,function(){
					$(app.ui.ebtn)[0].classList.add("mui-hidden");
					$(app.ui.bbtn)[0].classList.add("mui-hidden");
					$(app.ui.sbtn)[0].classList.remove("mui-hidden");
					$(app.ui.cbtn)[0].classList.remove("mui-hidden");
					$(app.ui.ePart)[0].classList.remove("mui-hidden");
					$(app.ui.sPart)[0].classList.add("mui-hidden");
					var userInfo=app.data.userinfo;
					$(app.ui.eUserIcon)[0].setAttribute("src",userInfo.avatar);
					$(app.ui.eNickName)[0].value=userInfo.nickname;
					$(app.ui.eEmail)[0].value=userInfo.email;
					$(app.ui.ePhone)[0].value=userInfo.phone;
					$(app.ui.eNumber)[0].value=userInfo.user_id;
					$(app.ui.eName)[0].value=userInfo.realname;
					$(app.ui.eIdcard)[0].value=userInfo.ID;
					if($(app.ui.eName)[0].value!=""){
						$(app.ui.eName)[0].setAttribute("readonly","true");
						$(app.ui.eName)[0].classList.remove("mui-input-clear")
					}
					if($(app.ui.eIdcard)[0].value!=""){
						$(app.ui.eIdcard)[0].setAttribute("readonly","true");
						$(app.ui.eIdcard)[0].classList.remove("mui-input-clear")
					}
				}).on("tap",app.ui.cbtn,function(){
					$(app.ui.ebtn)[0].classList.remove("mui-hidden");
					$(app.ui.bbtn)[0].classList.remove("mui-hidden");
					$(app.ui.sbtn)[0].classList.add("mui-hidden");
					$(app.ui.cbtn)[0].classList.add("mui-hidden");
					$(app.ui.ePart)[0].classList.add("mui-hidden");
					$(app.ui.sPart)[0].classList.remove("mui-hidden");
				}).on("tap",app.ui.sbtn,function(){
					var params={
						nickname:$(app.ui.eNickName)[0].value,
						realname:$(app.ui.eName)[0].value,
						avatar:$(app.ui.eUserIcon)[0].getAttribute("src"),
						email:$(app.ui.eEmail)[0].value,
						ID:$(app.ui.eIdcard)[0].value
					}
					if(params.realname==""||params.ID==""){
						plus.nativeUI.alert("请完善姓名和身份证号后在提交");
						return;
					}
					$.fn.selfAjax({
						url:"index.php?c=i&a=changeUserInfo",
						method:"post",
						params:params,
						success:function(res){
							console.log(res);
							var current=plus.webview.currentWebview();
							current.reload(true);
						}
					});
				})
			});
		})

}(mui,document))
