
window.addEventListener('gotoBookList',function(event){
	var catId = event.detail.id;
	(function($, doc,catId) {
		$.ready(function(){
				var app = {  //定义所有的界面的ui，tpl，接口URL，方法等
					ui: {
						pageTit:"#pageTit",
						showList:"#show-list",
						showGrid:"#show-grid",
						listenBtn:".listen",
						ipt:"#m-search-ipt",
						searchBtn:"#m-search-btn",
						searchType:"#m-search-if",
					},
					data:{
						start:0,
						nums:6,
						end:false,
						catId:catId,
						kw:"",
						kw_type:"1"
					},
					tpl:{
						
					},
					urls: {
						bookListUrl:"index.php?c=book&a=getBookList", //获取不同类目下书籍列表的接口
					},
					method: {
						//根据跳转过来的catId去获取书籍列表项
						getBookList:function(){
							var params={
								book_type_id: catId ,
								start:app.data.start,
								nums:app.data.nums,
								kw:app.data.kw,
								kw_type:app.data.kw_type
							}
							if(app.data.start==0){
								document.getElementById("books-ul").innerHTML="";
								app.data.end=false;
								mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
							}
							$.fn.selfAjax({
								url: app.urls.bookListUrl,
								method:"get",
								params:params,
								success:function(res){
									if(res.result.length!=0){
										app.data.start+=res.result.length;
										app.data.end=false;
										var htmlStr =document.getElementById("books-ul").innerHTML+template('ul-li-cont', res);
										document.getElementById("books-ul").innerHTML=htmlStr;
									}else{
										app.data.end=true;
									}
									$('#refreshContainer').pullRefresh().endPulldownToRefresh();
									$('#refreshContainer').pullRefresh().refresh(true);
									$('#refreshContainer').pullRefresh().endPullupToRefresh(app.data.end);								
								}
							});
						},
						//设置当前页面的topbar title
						setPageTit:function(catid){
							if(catid==1){
								$(app.ui.pageTit)[0].innerHTML="精品书籍";
							}else if(catid==2){
								$(app.ui.pageTit)[0].innerHTML="简体书籍";
							}else if(catid==3){
								$(app.ui.pageTit)[0].innerHTML="繁体书籍";
							}else{
								$(app.ui.pageTit)[0].innerHTML="外文书籍";
							}
						},
						//上拉加载
						pullupRefresh:function(){
							app.method.getBookList();
						},
						//下拉刷新
						pulldownRefresh:function(){
							app.data.start=0;
							app.data.end=false;
							app.method.getBookList();
						}
					}
				}
				/*重写当前页面的返回事件，这个页面返回之前一定要销毁当前的webview，
				*不然下次进来数据没变化，不会更新，
				*尽管从上个页面进来的时候设置创建一个新的webview，似乎没有生效，有时间看看
				*/
				$.back=function(){
					 $.currentWebview.close();
				}
				$.init({
					swipeBack: true, //启用右滑关闭功能
			 	 	preloadPages:[{
				    	id:'book_reading.html',
				    	url:'book_reading.html'         
				  		}],
			  		pullRefresh : {
					    container:"#refreshContainer",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
					    down : {
					      style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
					      color:'#EFEFF4', //可选，默认“#2BD009” 下拉刷新控件颜色
					      height:'50px',//可选,默认50px.下拉刷新控件的高度,
					      range:'100px', //可选 默认100px,控件可下拉拖拽的范围
					      offset:'50px', //可选 默认0px,下拉刷新控件的起始位置
					      auto: false,//可选,默认false.首次加载自动上拉刷新一次
					      callback : app.method.pulldownRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
					    },
					    up : {
					      height:50,//可选.默认50.触发上拉加载拖动距离
					      auto:true,//可选,默认false.自动上拉加载一次
					      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
					      contentnomore:'没有更多书籍了...',//可选，请求完毕若没有更多数据时显示的提醒内容；
					      callback :app.method.pullupRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
					    }
				  	}
				});
				$.plusReady(function() {
					//获取到用户选择的列表显示模式然后将另外一个模式的webview销毁
					var showModal=localStorage.getItem("showModal");
					if(showModal=="grid"&&plus.webview.getWebviewById("book_list.html")){
						var list=plus.webview.getWebviewById("book_list.html");
						plus.webview.close(list,"none");
					}
					if(showModal=="list"&&plus.webview.getWebviewById("book_grid.html")){
						var grid=plus.webview.getWebviewById("book_grid.html");
						plus.webview.close(grid,"none");
					}
					app.method.setPageTit(catId);
//					app.method.pulldownRefresh();
//					app.method.getBookList();
					
					$("body").on("tap",".listItem",function(e){
						
						var id=this.getAttribute("data-id");
					  	var page = mui.preload({
							    url:"book_reading.html",
							    id:"book_reading.html",//默认使用当前页面的url作为id
							});
						var targetPage=plus.webview.getWebviewById('book_reading.html');
					 	$.fire(targetPage,'gotoBookReading',{
						    id:id
					  	});
				  	 	mui.openWindow({
					    	id:'book_reading.html'
					  	});
					}).on("tap",app.ui.showList,function(){ //切换显示模式成列表模式
							localStorage.setItem("showModal","list");
						  	var page = mui.preload({
							    url:"book_list.html",
							    id:"book_list.html",//默认使用当前页面的url作为id
								});
							var targetPage=plus.webview.getWebviewById('book_list.html');
						 	$.fire(targetPage,'gotoBookList',{
							    id:catId
						  	});
					  	 	mui.openWindow({
						    	id:'book_list.html'
						  	});
						}).on("tap",app.ui.showGrid,function(){ //切换显示模式成宫格模式
							localStorage.setItem("showModal","grid");
							var page = mui.preload({
							    url:"book_grid.html",
							    id:"book_grid.html",//默认使用当前页面的url作为id
								});
							var targetPage=plus.webview.getWebviewById('book_grid.html');
						 	$.fire(targetPage,'gotoBookList',{
							    id:catId
						  	});
					  	 	mui.openWindow({
						    	id:'book_grid.html'
						  	});
						}).on("tap",app.ui.searchBtn,function(){
							app.data.kw=$(app.ui.ipt)[0].value;
							app.data.start=0;
							app.method.getBookList();
						}).on("tap",app.ui.searchType,function(){
							if(this.getAttribute("data-open")==0){
								$("#search-type-box")[0].classList.remove('mui-hidden');
								this.setAttribute("data-open","1");
								$("#arrow")[0].classList.remove('mui-icon-arrowdown');
								$("#arrow")[0].classList.add('mui-icon-arrowup');
							}else{
								$("#search-type-box")[0].classList.add('mui-hidden');
								this.setAttribute("data-open","0");
								$("#arrow")[0].classList.add('mui-icon-arrowdown');
								$("#arrow")[0].classList.remove('mui-icon-arrowup');
							}
						}).on("tap",".search-type-item",function(){
							var type=this.innerHTML;
							$("#type-word")[0].innerHTML=type;
							app.data.kw_type=this.getAttribute("data-type");
							$("#search-type-box")[0].classList.add('mui-hidden');
							this.setAttribute("data-open","0");
							$("#arrow")[0].classList.add('mui-icon-arrowdown');
							$("#arrow")[0].classList.remove('mui-icon-arrowup');
						});
				});
			})
	}(mui,document,catId))
})