/*!
 * =====================================================
 * common v1.0.0 
 * @author ziang
 * @email ziangting@163.com
 * =====================================================
 */
(function($){
	var selfMethod={
//		host:"http://11.10.1.168/gongshu_api/",//测试环境的路径
		host:"https://mi.gzgxsj.com/gongshu_api/",//线上地址
		/*
		 * 测试函数，
		 */
		cl:function(a){
			console.log(a);
		},
		/*
		 * 空函数
		 */
		blank:function(){},
		/*
		 * session过期，跳到登录页面
		 * code==6001
		 */
		reLogin:function(){
//			plus.webview.currentWebview().close();
		plus.webview.open( "../reg.html", "reg.html" );
//			mui.openWindow({
//					    	id:'reg.html'
//					  	});
		},
		/*
		 * 其他错误，请求执行成功，状态码非200，6001
		 */
		err:function(data){
			var str=typeof data == 'string' ? data : data.result
			$.alert(
				str,
				"提示",
				"ok",
				function(){
//					$.back();
				}
			);
		},
		/*
		 * 网络错误，请求fail执行
		 */
		netErr:function(){
			$.alert(
				"网络好像出了一些问题。",
				"错误",
				"ok",
				function(){
					$.back();
				}
			);
		},
		
		/*
		 * 函数名 ：selfAjax
		 * 作用：二次封装mui的ajax，增加返回结果的通用状态码判断
		 */
		selfAjax:function(options){
			//设置默认值
			var url=selfMethod.host+options.url;
			var method=(options.method||"post").toUpperCase();
			var timeout=options.timeout||0;
			var params=options.params||{};
			var success=options.success||selfMethod.blank;
			var err=options.err||selfMethod.err;
			var netErr=options.netErr||selfMethod.netErr;
			var dataType=options.dataType||"json";
			var async=options.async||"true";
			console.log(3);
			console.log(JSON.stringify(options));
			$.ajax(url,{
				data:params,
				dataType:dataType,//服务器返回json格式数据
				type:method.toUpperCase(),//HTTP请求类型
				timeout:timeout,//超时时间默认无限；
//				async:async,
//				crossDomain:true,//pc上测有跨域问题强制跨域，真机上可以注释掉
//				headers:{'Content-Type':'application/json'},	              
				success:function(res){
					console.log(1);
					console.log(JSON.stringify(res))
					if(res.code==200){
						//处理200下的数据
						success(res)
					}else if(res.code==6001){
						selfMethod.reLogin();
					}else{
						//非200暂时全部提示后台返回的错误
						err(res);
					}
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					console.log(type)
					if(type=="timeout"){
						netErr();
					}
					console.log(2);
					
				}
			});
		},
		/**
		 * 函数名：setWebviewHeight
		 * 作用：设置webview的高度，fix android上软键盘弹起，挤压当前webview，布局出现问题,
		 * 有输入的webview最好去调一次。
		 * */
		setWebviewHeight:function(){
			var originalHeight=document.documentElement.clientHeight || document.body.clientHeight;
			window.onresize=function(){
			    //软键盘弹起与隐藏  都会引起窗口的高度发生变化
			    var  resizeHeight=document.documentElement.clientHeight || document.body.clientHeight;
			    if(resizeHeight*1<originalHeight*1){ //resizeHeight<originalHeight证明窗口被挤压了
			            plus.webview.currentWebview().setStyle({
			                height:originalHeight
			            });
			      }
			}
		},
		/**
		 * 函数名：timestampToTime
		 * 作用：格式化时间戳 ，返回YYYY-MM-DD HH:MM:SS 
		 * 
		 * */
		timestampToTime:function (timestamp) {
	        var date = new Date(timestamp * 1000);//时间戳为10位需*1000，时间戳为13位的话不需乘1000
	        Y = date.getFullYear() + '-';
	        M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
	        D = date.getDate() + ' ';
	        h = date.getHours() + ':';
	        m = date.getMinutes() + ':';
	        s = date.getSeconds();
	        return Y+M+D+h+m+s;
	   	},
	}
	$.fn=$.extend(true,selfMethod,$.fn );
}(mui))
