(function($, doc) {
	$.ready(function(){
			var app = {  //定义所有的界面的ui，tpl，接口URL，方法等
				ui: {
					moneyUl:"#money-ul",
				},
				data:{
					start:0,
					nums:4,
					end:false,
				},
				tpl:{
					liTpl:"li-tpl"
				},
				urls: {
					donateMoneyListUrl:"index.php?c=donate&a=getDonateMoneyList"
				},
				method: {
					timestampToTime:function (timestamp) {
				        var date = new Date(timestamp * 1000);//时间戳为10位需*1000，时间戳为13位的话不需乘1000
				        Y = date.getFullYear() + '-';
				        M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
				        D = date.getDate() + ' ';
				        h = date.getHours() + ':';
				        m = date.getMinutes() + ':';
				        s = date.getSeconds();
				        return Y+M+D+h+m+s;
				   	},
					getMoneyList:function(){
						var params={
								start:app.data.start,
								nums:app.data.nums,
							}
							if(app.data.start==0){
								$(app.ui.moneyUl)[0].innerHTML="";
								app.data.end=false;
								mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
							}
						$.fn.selfAjax({
							method:"get",
							url:app.urls.donateMoneyListUrl,
							params:params,
							success:function(res){
								console.log(JSON.stringify(res));
								if(res.result.length!=0){
									app.data.start+=res.result.length;
									app.data.end=false;
									res.result.forEach(function(v,i){
										v.add_time=app.method.timestampToTime(v.add_time);
									});
									var htmlStr = $(app.ui.moneyUl)[0].innerHTML + template(app.tpl.liTpl, res);
									$(app.ui.moneyUl)[0].innerHTML=htmlStr;
								}else{
									app.data.end=true;
								}
								$('#refreshContainer').pullRefresh().endPulldownToRefresh();
								$('#refreshContainer').pullRefresh().refresh(true);
								$('#refreshContainer').pullRefresh().endPullupToRefresh(app.data.end);
							}
						});
					},
					//上拉加载
					pullupRefresh:function(){
						app.method.getMoneyList();
					},
					//下拉刷新
					pulldownRefresh:function(){
						app.data.start=0;
						app.data.end=false;
						app.method.getMoneyList();
					}
				}
			}
			$.back=function(){
			 	$.currentWebview.close();
			}
			$.init({
				swipeBack: true, //启用右滑关闭功能
				pullRefresh : {
				    container:"#refreshContainer",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				    down : {
				      style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				      color:'#EFEFF4', //可选，默认“#2BD009” 下拉刷新控件颜色
				      height:'50px',//可选,默认50px.下拉刷新控件的高度,
				      range:'100px', //可选 默认100px,控件可下拉拖拽的范围
				      offset:'50px', //可选 默认0px,下拉刷新控件的起始位置
				      auto: false,//可选,默认false.首次加载自动上拉刷新一次
				      callback : app.method.pulldownRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    },
				    up : {
				      height:50,//可选.默认50.触发上拉加载拖动距离
				      auto:true,//可选,默认false.自动上拉加载一次
				      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
				      contentnomore:'已经看完所有捐款记录了...',//可选，请求完毕若没有更多数据时显示的提醒内容；
				      callback :app.method.pullupRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    }
			  	}
			});
			
			$.plusReady(function() {
				
			});
		})

}(mui,document))
