(function($, doc) {
	$.ready(function(){
			var app = {  //定义所有的界面的ui，tpl，接口URL，方法等
				ui: {
					paperUl:"#paper-ul",
					ipt:"#m-search-ipt",
					searchBtn:"#m-search-btn"
				},
				data:{
					start:0,
					nums:4,
					end:false,
					kw:"",
					kw_type:"1"
				},
				tpl:{
					paperLiTpl:"paper-li-tpl"
				},
				urls: {
					paperListUrl:"index.php?c=paper&a=getMyPaperList"
				},
				method: {
					getPaperList:function(){
						var params={
							start:app.data.start,
							nums:app.data.nums,
							kw:app.data.kw,
							kw_type:app.data.kw_type
						}
						if(app.data.start==0){
								document.getElementById("paper-ul").innerHTML="";
								app.data.end=false;
								$('#refreshContainer').pullRefresh().enablePullupToRefresh();
							}
						$.fn.selfAjax({
							method:"get",
							url:app.urls.paperListUrl,
							params:params,
							success:function(res){
								console.log(JSON.stringify(res));
								if(res.result.length!=0){
									app.data.start+=res.result.length;
									app.data.end=false;
									res.result.forEach(function(v,i){
										v.add_time=$.fn.timestampToTime(v.add_time);
									});
									var htmlStr = $(app.ui.paperUl)[0].innerHTML + template(app.tpl.paperLiTpl, res);
									$(app.ui.paperUl)[0].innerHTML=htmlStr;
								}else{
									app.data.end=true;
								}
								$('#refreshContainer').pullRefresh().endPulldownToRefresh();
								$('#refreshContainer').pullRefresh().refresh(true);
								$('#refreshContainer').pullRefresh().endPullupToRefresh(app.data.end);
							}
						});
					},
					//上拉加载
					pullupRefresh:function(){
							app.method.getPaperList();
					},
					//下拉刷新
					pulldownRefresh:function(){
							app.data.start=0;
							app.data.end=false;
							app.method.getPaperList();
					}
				}
			}
			$.back=function(){
			 	$.currentWebview.close();
			}
			$.init({
				swipeBack: true, //启用右滑关闭功能
				preloadPages:[{
				    	id:'paper_detail.html',
				    	url:'paper_detail.html'         
				  		}],
				pullRefresh : {
				    container:"#refreshContainer",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				    down : {
				      style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				      color:'#EFEFF4', //可选，默认“#2BD009” 下拉刷新控件颜色
				      height:'50px',//可选,默认50px.下拉刷新控件的高度,
				      range:'100px', //可选 默认100px,控件可下拉拖拽的范围
				      offset:'50px', //可选 默认0px,下拉刷新控件的起始位置
				      auto: false,//可选,默认false.首次加载自动上拉刷新一次
				      callback : app.method.pulldownRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    },
				    up : {
				      height:50,//可选.默认50.触发上拉加载拖动距离
				      auto:true,//可选,默认false.自动上拉加载一次
				      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
				      contentnomore:'没有更多论文了...',//可选，请求完毕若没有更多数据时显示的提醒内容；
				      callback :app.method.pullupRefresh//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    }
			  	}
			});
			
			$.plusReady(function() {
				$("body").on("tap",app.ui.searchBtn,function(){
					app.data.kw=$(app.ui.ipt)[0].value;
					app.data.start=0;
					app.method.getPaperList();
				}).on("tap","#m-search-if",function(){
					console.log(this.getAttribute("data-open"))
					if(this.getAttribute("data-open")==0){
						$("#search-type-box")[0].classList.remove('mui-hidden');
						this.setAttribute("data-open","1");
						$("#arrow")[0].classList.remove('mui-icon-arrowdown');
						$("#arrow")[0].classList.add('mui-icon-arrowup');
					}else{
						$("#search-type-box")[0].classList.add('mui-hidden');
						this.setAttribute("data-open","0");
						$("#arrow")[0].classList.add('mui-icon-arrowdown');
						$("#arrow")[0].classList.remove('mui-icon-arrowup');
					}
				}).on("tap",".search-type-item",function(){
					var type=this.innerHTML;
					$("#type-word")[0].innerHTML=type;
					app.data.kw_type=this.getAttribute("data-type");
					$("#search-type-box")[0].classList.add('mui-hidden');
					this.setAttribute("data-open","0");
					$("#arrow")[0].classList.add('mui-icon-arrowdown');
					$("#arrow")[0].classList.remove('mui-icon-arrowup');
				});
			});
		})

}(mui,document))
